/*
 * GtkUtils.h
 *
 *  Created on: Oct 29, 2009
 *      Author: lacasta
 */

#ifndef GTKUTILS_H_
#define GTKUTILS_H_

#include <gtk/gtk.h>
#include <string>
#include <vector>
enum GetFileNameAction { a_OpenFile, a_SaveFile, a_OpenFolder };
gint gtk_option_menu_get_history(GtkOptionMenu * option_menu);
gint gtk_menu_get_history(GtkMenu * menu);
std::string get_file_name(const char *title, GetFileNameAction for_open, const char *init_folder,  const char **filters = 0);
void gtk_help_display(const char *link_id);
std::string get_a_string(const std::string &title, const std::string &prompt);
int get_a_string_list(const std::string &title, const std::string &prompt, std::vector<std::string> &values);
GdkPixbuf*  create_pixbuf  (const gchar     *);
#endif /* GTKUTILS_H_ */
