#include "signal_emitter.h"

#define EMITTER_GET_PRIVATE(obj) (G_TYPE_INSTANCE_GET_PRIVATE ((obj), EMITTER_TYPE, EmitterPrivate))

struct _EmitterPrivate
{
   int __null__;
};

enum {
   PARAMETER_CHANGED,
   LAST_SIGNAL
};
static guint emitter_signals[LAST_SIGNAL] = { 0 };
#define g_marshal_value_peek_string(v)   (char*) g_value_get_string (v)
void
g_cclosure_user_marshal_VOID__STRING_STRING (GClosure     *closure,
                                             GValue       *return_value G_GNUC_UNUSED,
                                             guint         n_param_values,
                                             const GValue *param_values,
                                             gpointer      invocation_hint G_GNUC_UNUSED,
                                             gpointer      marshal_data)
{
   typedef void (*GMarshalFunc_VOID__STRING_STRING) (gpointer     data1,
                                                     gpointer     arg_1,
                                                     gpointer     arg_2,
                                                     gpointer     data2);
   register GMarshalFunc_VOID__STRING_STRING callback;
   register GCClosure *cc = (GCClosure*) closure;
   register gpointer data1, data2;

   g_return_if_fail (n_param_values == 3);

   if (G_CCLOSURE_SWAP_DATA (closure))
   {
      data1 = closure->data;
      data2 = g_value_peek_pointer (param_values + 0);
   }
   else
   {
      data1 = g_value_peek_pointer (param_values + 0);
      data2 = closure->data;
   }
   callback = (GMarshalFunc_VOID__STRING_STRING) (marshal_data ? marshal_data : cc->callback);

   callback (data1,
             g_marshal_value_peek_string (param_values + 1),
             g_marshal_value_peek_string (param_values + 2),
             data2);
}


G_DEFINE_TYPE (Emitter, emitter, G_TYPE_OBJECT);

static void
emitter_dispose (GObject *gobject)
{
   Emitter *self = EMITTER (gobject);

   /* 
    * In dispose, you are supposed to free all types referenced from this
    * object which might themselves hold a reference to self. Generally,
    * the most simple solution is to unref all members on which you own a 
    * reference.
    */

   /* dispose might be called multiple times, so we must guard against
    * calling g_object_unref() on an invalid GObject.
    */

   /* Chain up to the parent class */
   G_OBJECT_CLASS (emitter_parent_class)->dispose (gobject);
}

static void
emitter_finalize (GObject *gobject)
{
   Emitter *self = EMITTER (gobject);


   /* Chain up to the parent class */
   G_OBJECT_CLASS (emitter_parent_class)->finalize (gobject);
}


static void
emitter_init (Emitter *self)
{
   self->priv = EMITTER_GET_PRIVATE (self); 

   /* initialize all public and private members to reasonable default values. */

   /* If you need specific construction properties to complete initialization,
    * delay initialization completion until the property is set. 
    */
}


static void
emitter_class_init (EmitterClass *klass)
{
   GObjectClass *gobject_class = G_OBJECT_CLASS (klass);
   GParamSpec *pspec;

   emitter_parent_class = g_type_class_ref (G_TYPE_OBJECT);
   g_type_class_add_private (klass, sizeof (EmitterPrivate));

   gobject_class->dispose = emitter_dispose;
   gobject_class->finalize = emitter_finalize;


   emitter_signals[PARAMETER_CHANGED]
      = g_signal_new ("parameter-changed",
                      G_TYPE_FROM_CLASS (gobject_class),
                      G_SIGNAL_RUN_FIRST ,
                      0, /* class_offset */
                      NULL, /* accumulator */ 
                      NULL, /* accumulator data */
                      g_cclosure_user_marshal_VOID__STRING_STRING,
                      G_TYPE_NONE, /* return type */
                      2, /* n_params */
                       G_TYPE_STRING,
                       G_TYPE_STRING,
                      NULL);


}

Emitter *emitter_new()
{
   return (Emitter *)g_object_new(EMITTER_TYPE, NULL);
}
